Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1411160 - typo in /usr/bin/pyrcc5 : s/python2/python3
Summary: typo in /usr/bin/pyrcc5 : s/python2/python3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-qt5
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 22:00 UTC by ed leaver
Modified: 2017-01-31 21:51 UTC (History)
3 users (show)

Fixed In Version: python-qt5-5.7-4.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-31 21:51:54 UTC
Type: Bug


Attachments (Terms of Use)

Description ed leaver 2017-01-08 22:00:45 UTC
Description of problem:
/usr/bin/pyrcc5 is supplied by packages python-qt5-devel and python3-qt5-devel
I have python3-qt5-devel installed
I have python-qt5 installed, but do *not* have python-qt5-devel installed

execute:
$ /usr/bin/pyrcc5
result:
/usr/bin/python2: No module named PyQt5.pyrcc_main

Version-Release number of selected component (if applicable):
python3-qt5-devel-5.7-1.fc25.x86_64 : Python 3 bindings for Qt5

How reproducible:
always

Steps to Reproduce:
1. /usr/bin/pyrcc5

Actual results:
/usr/bin/python2: No module named PyQt5.pyrcc_main


Expected results:
Usage: pyrcc5 [options] <inputs>
(etc.)

Additional info:
/usr/bin/pyrcc5 is a one-liner:

#!/bin/sh
exec /usr/bin/python2 -m PyQt5.pyrcc_main ${1+"$@"}

simply s/python2/python3 in my local /usr/bin/pyrcc5 seems to work fine

Comment 1 ed leaver 2017-01-08 22:39:08 UTC
Seems to have been fixed with python-qt5-devel.x86_64 5.7-2.fc25

cat /usr/bin/pyrcc5
#!/bin/sh
exec /usr/bin/python2 -m PyQt5.pyrcc_main ${1+"$@"}

same as before. But pyrcc5 now executes correctly, so someone apparently fixed the python2 modules. Isee a new
/usr/lib64/python2.7/site-packages/PyQt5
folder appeared when I dnf'd an update a few minutes ago. So I'd close this thing as FIXED.

(I had done a dnf update an hour ago; the new package didn't appear then, but came in as a dependency when I just installed python3-qscintilla-qt5-devel)

Thanks!

Comment 2 Rex Dieter 2017-01-11 18:35:36 UTC
pyrcc5 could benefit from using a wrapper similar to what we already do for pyuic5

Comment 3 TR Bentley 2017-01-23 19:40:17 UTC
Need to include pylupdate5 as that is wrong as well

Comment 4 Rex Dieter 2017-01-27 13:01:47 UTC
yes, see also bug #1415812

working on it today

Comment 5 Rex Dieter 2017-01-27 14:22:46 UTC
fixed rawhide build underway:
https://koji.fedoraproject.org/koji/buildinfo?buildID=836606

Comment 6 Fedora Update System 2017-01-27 16:44:46 UTC
python-qt5-5.7-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b73fb9b8a

Comment 7 Fedora Update System 2017-01-29 02:22:13 UTC
python-qt5-5.7-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b73fb9b8a

Comment 8 TR Bentley 2017-01-30 18:09:00 UTC
The pyrcc5 wrapper is incorrect. it should have PyQt5.pyrcc_main but instead has PyQt5.PyQt5.pyrcc_main

Comment 9 Rex Dieter 2017-01-30 18:18:08 UTC
good eye, sorry about my mistake, fixed build on the way...

Comment 10 Fedora Update System 2017-01-31 00:47:46 UTC
python-qt5-5.7-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b73fb9b8a

Comment 11 Fedora Update System 2017-01-31 03:51:00 UTC
python-qt5-5.7-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4b73fb9b8a

Comment 12 Fedora Update System 2017-01-31 21:51:54 UTC
python-qt5-5.7-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.